Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.io
Interface Input

All Known Subinterfaces:
  RedirectibleInput, TimedInput, TimedRedirectibleInput

All Known Implementing Classes:
  NullInputStream, RedirectingInputStream

public interface Input

An abstraction of a plain input stream. Subinterfaces supply additional methods, indicating additional properties of the stream such as read with timeout or redirectability.

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  `InputStream`

Method Summary
`int` | `available()`
`void` | `close()`
`void` | `mark(int readLimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] buf)`
`int` | `read(byte[] buf, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buf)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buf,
                    int off,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

### reset

    public void reset()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### mark

    public void mark(int readLimit)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD